from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToZebraMediaSensor Converter")

class GenericToZebraMediaSensor(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "continuous"
        elif args[0] == "Gap":
            res = "gap/notch"
        elif args[0] == "Mark":
            res = "mark"
        return res




plugin = GenericToZebraMediaSensor("GenericToZebraMediaSensor")

store.AddConverter(plugin)